Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class ClassAnonymizationSettings

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.ClassAnonymizationSettings

public class ClassAnonymizationSettings extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ClassAnonymizationSettings.Builder`
  Only specified parameters will be taken into account during anonymization.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassAnonymizationSettings(Country country, Region region, Type type, FieldType[] fields, DocumentNumberAnonymizationSettings documentNumberAnonymizationSettings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassAnonymizationSettings`
  `createFromNative(int country, int region, int type, int[] fields, int prefixDigitsVisible, int suffixDigitsVisible)`
  This method is called from native code to build `ClassAnonymizationSettings` from native object.
  `Country`
  `getCountry()`
  If set, specified fields will be anonymized on documents issued by specified country only.
  `DocumentNumberAnonymizationSettings`
  `getDocumentNumberAnonymizationSettings()`
  If set, some digits of the anonymized document number will be shown.
  `FieldType[]`
  `getFields()`
  Fields to be anonymized.
  `Region`
  `getRegion()`
  If set, specified fields will be anonymized on documents issued by specified region only.
  `Type`
  `getType()`
  If set, specified fields will be anonymized on documents of specified type only.
  `int[]`
  `serializeToArray()`
  Serializes `ClassAnonymizationSettings` to int array.
  `static int[]`
  `serializeToArray(ClassAnonymizationSettings[] array)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassAnonymizationSettings

    public ClassAnonymizationSettings(@Nullable Country country, @Nullable Region region, @Nullable Type type, FieldType[] fields, @Nullable DocumentNumberAnonymizationSettings documentNumberAnonymizationSettings)

- ## Method Details

  - ### createFromNative

    public static ClassAnonymizationSettings createFromNative(int country, int region, int type, int[] fields, int prefixDigitsVisible, int suffixDigitsVisible)
    This method is called from native code to build `ClassAnonymizationSettings` from native object.

  - ### getCountry

    @Nullable public Country getCountry()
    If set, specified fields will be anonymized on documents issued by specified country only. Otherwise, issuing country will not be taken into account during anonymization.

  - ### getRegion

    @Nullable public Region getRegion()
    If set, specified fields will be anonymized on documents issued by specified region only. Otherwise, issuing region will not be taken into account during anonymization.

  - ### getType

    @Nullable public Type getType()
    If set, specified fields will be anonymized on documents of specified type only. Otherwise, document type will not be taken into account during anonymization.

  - ### getFields

    public FieldType[] getFields()
    Fields to be anonymized.

  - ### getDocumentNumberAnonymizationSettings

    @Nullable public DocumentNumberAnonymizationSettings getDocumentNumberAnonymizationSettings()
    If set, some digits of the anonymized document number will be shown.

  - ### serializeToArray

    @NonNull public int[] serializeToArray()
    Serializes `ClassAnonymizationSettings` to int array.
    Returns:
      factors serialized to array

  - ### serializeToArray

    public static int[] serializeToArray(ClassAnonymizationSettings[] array)